package domain

import (
	"topsdk/util"
)

type AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryRequest struct {
	/*
	   查询结束时间     */
	EndTime *util.LocalTime `json:"end_time,omitempty" `

	/*
	   传入上一次查询结果的next_id，第一次查询时传0     */
	NextId *int64 `json:"next_id,omitempty" `

	/*
	   每页数量     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   查询开始时间     */
	StartTime *util.LocalTime `json:"start_time,omitempty" `

	/*
	   经营店id，store_id和out_shop_code不能同时为空     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   订单渠道 1代表"轻POS",2代表"淘鲜达",默认为 1     */
	OrderChannel *int64 `json:"order_channel,omitempty" `

	/*
	   外部门店编码     */
	OutShopCode *string `json:"out_shop_code,omitempty" `
}

func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryRequest) SetEndTime(v util.LocalTime) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryRequest {
	s.EndTime = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryRequest) SetNextId(v int64) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryRequest {
	s.NextId = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryRequest) SetPageSize(v int64) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryRequest {
	s.PageSize = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryRequest) SetStartTime(v util.LocalTime) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryRequest {
	s.StartTime = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryRequest) SetStoreId(v string) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryRequest {
	s.StoreId = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryRequest) SetOrderChannel(v int64) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryRequest {
	s.OrderChannel = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryRequest) SetOutShopCode(v string) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillQueryRequest {
	s.OutShopCode = &v
	return s
}
